Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_IOR_Table_Impl Class Reference

`#include <IOR_Table_Impl.h>`

Inheritance diagram for TAO_IOR_Table_Impl:

[legend]
Collaboration diagram for TAO_IOR_Table_Impl:

[legend]
List of all members.

## Public Methods
| TAO_IOR_Table_Impl (void)
| Constructor.
char * | find (const char *object_key ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, IORTable::NotFound )
| Find the object, using the locator if it is not on the table.
The IORTable::Table methods
Please check the IORTable.pidl file for details.
virtual void | bind (const char *object_key, const char *IOR ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, IORTable::AlreadyBound )
virtual void | rebind (const char *object_key, const char *IOR ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | unbind (const char *object_key ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, IORTable::NotFound )
virtual void | set_locator (IORTable::Locator_ptr the_locator ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
## Private Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, ACE_CString, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | Map
## Private Attributes
Map | map_
| The map.
IORTable::Locator_var | locator_
| The locator.
TAO_SYNCH_MUTEX | lock_
| Synchronization.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, ACE_CString, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> TAO_IOR_Table_Impl::Map`[private]`

## Constructor & Destructor Documentation

TAO_IOR_Table_Impl::TAO_IOR_Table_Impl | ( | void |  | ) |

| Constructor.

## Member Function Documentation

void TAO_IOR_Table_Impl::bind | ( | const char * | object_key,
|  | const char *IOR | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException, IORTable::AlreadyBound )`[virtual]`

| Implements IORTable::Table.

char * TAO_IOR_Table_Impl::find | ( | const char *object_key | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, IORTable::NotFound )

| Find the object, using the locator if it is not on the table.

void TAO_IOR_Table_Impl::rebind | ( | const char * | object_key,
|  | const char *IOR | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[virtual]`

| Implements IORTable::Table.

virtual void TAO_IOR_Table_Impl::set_locator | ( | IORTable::Locator_ptr the_locator | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[virtual]`

| Implements IORTable::Table.

void TAO_IOR_Table_Impl::unbind | ( | const char *object_key | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, IORTable::NotFound )`[virtual]`

| Implements IORTable::Table.

## Member Data Documentation

IORTable::Locator_var TAO_IOR_Table_Impl::locator_`[private]`

| The locator.

TAO_SYNCH_MUTEX TAO_IOR_Table_Impl::lock_`[private]`

| Synchronization.

Map TAO_IOR_Table_Impl::map_`[private]`

| The map.

The documentation for this class was generated from the following files:

- IOR_Table_Impl.h
- IOR_Table_Impl.cpp